#!/usr/bin/env python3
#
# Copyright 2018 Fairphone B.V.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
"""The Android tools for Python 3 metadata."""

import setuptools

with open("README.md", "r") as f:
    LONG_DESCRIPTION = f.read()

setuptools.setup(
    name="android-tools",
    version="0.1",
    author="Fairphone B.V.",
    description=("A support library to work with Android devices and apps"),
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/markdown",
    url=(
        "https://code.fairphone.com/gerrit/gitweb?"
        "p=vendor/fairphone/tools.git;"
        "f=python-libs/android-tools;"
        "a=history;"
        "hb=HEAD;"
    ),
    packages=setuptools.find_packages(),
    python_requires="~=3.6",
    install_requires=["rsa~=4.0", "adb>=1.3.0+git.d9b94b2d"],
    dependency_links=[
        (
            # Freeze the ADB library to the latest working commit (post 1.3.0)
            "https://github.com/google/python-adb/archive/"
            "d9b94b2dda555c14674c19806debb8449c0e9652.zip"
            "#egg=adb-1.3.0+git.d9b94b2d"
        )
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: System :: Hardware",
    ],
)
